開発

スポンサーリンク
composer

[Laravel9.x]composer installで非推奨の通知がでる。

Laravel8.xからLaravel9.xに上げたところ、composer installで以下のような通知が発生する。 % composer install PHP Deprecated: Return type of Sym...
Laravel

[Laravel8.x]Bladeテンプレートでコンポーネントがやたらと遅い

Laravel9.xが出ているとか、、、まぁそれはそのうちやるとして、Bladeテンプレートにあるコンポーネントを使って部品を共通化していこうとリファクタリングをしていたわけ。 タグエイリアスってやつは便利だし可読性も高いなと思って...
Laravel

[Laravel8.x]Modelsディレクトリ復活

Laravel5.xぐらいからアプリを作り、バージョンアップを重ねて、Laravel8.xに。 appの直下にモデルは作成されるものと思っていた。なんとなくそうなんだろうと思ってた。なんとなく違和感(まとまりの無さ?)もありつつ、a...
Laravel

[Laravel8.x]「Warning:Your XML configuration validates against a deprecated schema.」が発生する!

はじめに Laravel7.x から 8.x へアップグレード中で、Duskを実行すると、掲題のワーニングが発生する。 ワーニングを解消してみる 検索すると、「vendor/bin/phpunit --migrate-c...
Laravel

[Laravel7.x]Worker(ワーカー)をサーバで動作させようとSupervisorを導入しようと思ったけどちょっとイヤになった話。

はじめに 前の記事で作ったワーカーをサーバで実行しようとしてみる。サーバはAmazonLinux2なので、RHEL系でもだいたい同じ。 Supervisor設定 インストール epelのインストールがまだならそれや...
Laravel

[Laravel8.x] 「The GET method is not supported for this route. Supported methods: HEAD.」が発生する。

ある日突然、ルートにアクセスすると、「The GET method is not supported for this route. Supported methods: HEAD.」ってエラーが発生した。ルートって、例えば、 にアクセス...
Laravel

[Laravel7.x]「Declaration of Doctrine\DBAL\Driver\PDOConnection::query() must be compatible with PDO::query(string $query, ?int $fetchMode = null, mixed …$fetchModeArgs)」が発生する…

はじめに フィールドの追加をやりたかったわけですよ。そしたらこんなエラーが発生した。 結果 PHP7.4で動かさないといけないところをPHP8.0で動かしたのでエラーが出てた。Laravel7と8が混在しているとちょっと...
CSS

[MDB5]MDBootstrap5の罠「セレクト(Select)は有料」(ちゃんと確認しない俺が悪いんやけど。)

CSSフレームワークを探して、あんまり面倒くさくなさそうなやつさがして、とりあえず、Material Design for Bootstrap 5を組み込んでいた。 順調にナビバーから始まってフッターやら、リンクやらフォームやら組み...
Laravel

[Laravel8.x]Duskでiframe内のinputとかにアクセスしたい。

Duskでiframe内のinputとかに値を入れたいわけよ。iframe使うなって話は置いといて、でどうすっかなと。jQueryとかだと、 $('iframe').contents() でiframeの中に入って、 $...
Laravel

[Laravel8.x]「Failed to connect to localhost port 9515: Connection refused」が発生する。

いや、duskでUIテスト、この間まで動いていたやん?なんでなん?この間は確か、内部ドライバーが古くなってたとかで、 % php artisan dusk:install を実行すれば、動いてくれてた。 で、今回もや...
スポンサーリンク
タイトルとURLをコピーしました